# mysql.ndb\_binlog\_index Table

The `mysql.ndb_binlog_index` table is not used by MariaDB. It was kept for MySQL compatibility reasons, and is used there for MySQL Cluster.

For MariaDB clustering, see [Galera](https://mariadb.com/docs/galera-cluster/).

The table contains the following fields:

| Field     | Type                | Null | Key | Default |
| --------- | ------------------- | ---- | --- | ------- |
| Position  | bigint(20) unsigned | NO   |     | NULL    |
| File      | varchar(255)        | NO   |     | NULL    |
| epoch     | bigint(20) unsigned | NO   | PRI | NULL    |
| inserts   | bigint(20) unsigned | NO   |     | NULL    |
| updates   | bigint(20) unsigned | NO   |     | NULL    |
| deletes   | bigint(20) unsigned | NO   |     | NULL    |
| schemaops | bigint(20) unsigned | NO   |     | NULL    |

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/the-mysql-database-tables/obsolete-mysql-database-tables/mysqlndb_binlog_index-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
